Test-send a trigger
curl --request POST \
--url https://api.pocketflows.com/triggers/{id}/test_send \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"customer": "<string>",
"to_email_address": "<string>",
"to_phone_number": "<string>",
"variables": {},
"email_address": "<string>",
"phone_number": "<string>"
}
'import requests
url = "https://api.pocketflows.com/triggers/{id}/test_send"
payload = {
"customer": "<string>",
"to_email_address": "<string>",
"to_phone_number": "<string>",
"variables": {},
"email_address": "<string>",
"phone_number": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer: '<string>',
to_email_address: '<string>',
to_phone_number: '<string>',
variables: {},
email_address: '<string>',
phone_number: '<string>'
})
};
fetch('https://api.pocketflows.com/triggers/{id}/test_send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Triggers
Test-send a trigger
POST
/
triggers
/
{id}
/
test_send
Test-send a trigger
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the trigger to test-send
Body
application/json
The ID of the customer to test-send the trigger to
The email address to test-send the trigger to
The phone number to test-send the trigger to
The variables to test-send the trigger with
The ID of the email address to use as the sending address (overrides the trigger's configured email address)
The ID of the phone number to use as the sending phone number (overrides the trigger's configured phone number)
Response
200 - application/json
Whether the test send was successful
The response is of type object.
⌘I